Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jatek0001
Class Jatek0001

    java.lang.Object
      jatek0001.Jatek0001

All Implemented Interfaces:
  Jatek

    public class Jatek0001

extends java.lang.Object
implements Jatek

Constructor Summary
`Jatek0001()`

Method Summary
`void` | `closeGame()` Bezárja a játékot, alapállapotra állít minden fontos értéket.
`boolean` | `createSaveDataFormat(java.io.File save)` Létrehoz egy Excel fájlt, és elmenti a megadott elérési útra.
`Jatek0001GameData` | `getJgd()`
`Jatek0001Panel` | `getJk0001()`
`void` | `loadData(org.w3c.dom.Document d)` A validált dokumentumból kinyeri az adatokat és eltárolja.
`void` | `playGame()` Lejátszuk a játékot.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jatek0001

    public Jatek0001()

Method Detail

### createSaveDataFormat

    public boolean createSaveDataFormat(java.io.File save)

  Description copied from interface: `Jatek`
  Létrehoz egy Excel fájlt, és elmenti a megadott elérési útra.

  Specified by:
    `createSaveDataFormat` in interface `Jatek`
  Parameters:
    `save` - File Fájl, amibe mentjük az eredményt.
  Returns:
    Boolean Sikeres volt-e a mentés?

### closeGame

    public void closeGame()

  Description copied from interface: `Jatek`
  Bezárja a játékot, alapállapotra állít minden fontos értéket.

  Specified by:
    `closeGame` in interface `Jatek`

### loadData

    public void loadData(org.w3c.dom.Document d)

  Description copied from interface: `Jatek`
  A validált dokumentumból kinyeri az adatokat és eltárolja.

  Specified by:
    `loadData` in interface `Jatek`
  Parameters:
    `d` - Document XML-állománnyal dolgozunk.

### playGame

    public void playGame()

  Description copied from interface: `Jatek`
  Lejátszuk a játékot.

  Specified by:
    `playGame` in interface `Jatek`

### getJgd

    public Jatek0001GameData getJgd()

### getJk0001

    public Jatek0001Panel getJk0001()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD